@import 'variables';
@import './mixins/mixins.scss';

$border-color: darken($color:$color-white, $amount: 10);

.share_wrapper {
  position: relative;
  margin-bottom: 1em;
  @media (min-width: $screen-md) {
    margin-bottom: 2em;
  }
}

.button_group {
  display: flex;
  margin: 0 -10px;
  .button_wrapper {
    width: 33.333%;
    position: relative;
    .button {
      display: block;
      border: 1px solid $border-color;
      margin: 10px;
      line-height: 40px;
      text-align: center;
      @include set_border_radius(3px);

      svg {
        vertical-align: middle;
      }

      &:hover {
        fill: $color-white;
        background-color: $color-primary;
        border-color: $color-primary;
      }

      &.dark {
        fill: $color-white;
        border-color: lighten($color-black, 25);
      }
    }
  }

  .copied {
    position: absolute;
    top: -20px;
    left: 0;
    right: 0;
    display: block;
    color: black;
    background-color: rgb(255, 247, 139);
    padding: 5px 10px;
    margin: 0 10px;
    font-size: smaller;
    text-align: center;
  }

  &.vertical {
    @media (min-width: $screen-md) {
      display: block;
      max-width: 60px;
      margin: 0;
      .button_wrapper {
        width: 100%;
        position: relative;
        .button {
          margin: 0 0 10px 0;
          line-height: 50px;
        }
      }
      .copied {
        margin: 0;
        top: 12px;
        left: 64px;
        width: max-content;
      }
    }
  }
}

.title {
  display: block;
  font-size: 12px;
  margin-bottom: 10px;
  text-transform: uppercase;
}